format_version: 10
pipelines:
  covid19-tracker-uat:
    group: Application
    label_template: ${COUNT}
    lock_behavior: lockOnFailure
    display_order: -1
    environment_variables:
      DOCKER_URL: docker.jala.pro
      UAT_ENV: uat
      UAT_HOST_SERVER: ssh://ubuntu@10.24.48.157
    materials:
      git:
        git: https://bitbucket.org/fayala/covid19-tracker.git
        shallow_clone: false
        auto_update: true
        branch: master
      covid19-tracker-capacity:
        ignore_for_scheduling: false
        pipeline: covid19-tracker-capacity
        stage: CapacityTests
    stages:
    - Deployment:
        fetch_materials: true
        keep_artifacts: false
        clean_workspace: false
        approval:
          type: success
          allow_only_on_success: false
        jobs:
          Deploy:
            timeout: 0
            tasks:
            - exec:
                arguments:
                - -c
                - docker context create ${UAT_ENV} --docker host=${UAT_HOST_SERVER}
                command: bash
                run_if: passed
            - exec:
                arguments:
                - -c
                - docker --context ${UAT_ENV} stack deploy -c docker-compose.uat.yml
                  covid19
                command: bash
                run_if: passed
            - exec:
                arguments:
                - -c
                - docker --context ${UAT_ENV} stack ps covid19
                command: bash
                run_if: passed
            - exec:
                arguments:
                - -c
                - docker context rm ${UAT_ENV}
                command: bash
                run_if: any
